Skip to main content
PATCH
/
api
/
v1
/
assistant
/
memories
/
{memory_id}
Edit Memory
curl --request PATCH \
  --url https://api.example.com/api/v1/assistant/memories/{memory_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>",
  "category": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "category": "<string>",
  "content": "<string>",
  "source": "<string>",
  "confidence": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

memory_id
string<uuid>
required

Body

application/json
content
string | null
Maximum string length: 2000
category
string | null
Pattern: ^(preference|person|favourite|fact|reminder)$

Response

Successful Response

id
string<uuid>
required
category
string
required
content
string
required
source
string
required
confidence
number
required
created_at
string<date-time>
required
updated_at
string<date-time>
required